classification
Title: Idle: test SearchDialog.py
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: JayKrish, Todd.Rovito, ezio.melotti, philwebster, python-dev, terry.reedy, westley.martinez
Priority: normal Keywords: patch

Created on 2013-07-09 03:00 by philwebster, last changed 2016-05-17 22:35 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
idle_test_searchdialog.diff westley.martinez, 2014-03-11 16:46 review
Messages (6)
msg192713 - (view) Author: Phil Webster (philwebster) * Date: 2013-07-09 03:00
Continuing the IDLE unittest framework from #15392. Depends on #18365.
msg213149 - (view) Author: Westley Martínez (westley.martinez) * Date: 2014-03-11 16:46
I've submitted a patch.  It's not complete.  The global functions for the SearchDialog module don't yet have tests because I'm not sure of what these functions are used for.  I'd like for anyone to point me in the right direction for implementing those tests.  Then there are two tests for the class's main methods.

I assume tests are needed for SearchDialogBase.py as well.  Should those be in a separate module?
msg219527 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-06-01 21:36
#18592 has a patch for SearchDialogBase.
msg265779 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-17 22:19
New changeset 2aee50cb27d0 by Terry Jan Reedy in branch '3.5':
Issue #18410: Test IDLE's search dialog; original patch by Westley Martínez.
https://hg.python.org/cpython/rev/2aee50cb27d0
msg265780 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-05-17 22:22
I only made two changes to the test class itself: 1. move "requires('gui')" to the top to quit as soon as possible.  2. add "del class.root" to prevent exit error message.

Westley is already in misc.ACKS.
msg265782 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-17 22:35
New changeset a2cb99027646 by Terry Jan Reedy in branch '3.5':
Issue #18410: add missing parent argument.
https://hg.python.org/cpython/rev/a2cb99027646
History
Date User Action Args
2016-05-17 22:35:52python-devsetmessages: + msg265782
2016-05-17 22:22:45terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg265780

stage: patch review -> resolved
2016-05-17 22:19:28python-devsetnosy: + python-dev
messages: + msg265779
2016-05-17 21:15:55terry.reedysetassignee: terry.reedy
versions: + Python 3.6, - Python 2.7, Python 3.4
2014-06-19 22:30:40ezio.melottisetstage: needs patch -> patch review
2014-06-01 21:36:39terry.reedysettitle: IDLE Improvements: Unit test for SearchDialog.py -> Idle: test SearchDialog.py
messages: + msg219527
versions: + Python 3.5, - Python 3.3
2014-03-11 16:46:54westley.martinezsetfiles: + idle_test_searchdialog.diff
keywords: + patch
messages: + msg213149
2014-03-09 22:34:34westley.martinezsetnosy: + westley.martinez
2013-08-08 17:23:48ezio.melottisetnosy: + ezio.melotti
2013-07-13 00:58:34terry.reedysetstage: needs patch
2013-07-09 03:00:07philwebstercreate